#
# ROOT Makefile
#



# Commands and options for compiling
CC = g++
CXXFLAGS = -O3 -Wall -Wextra -Wshadow -Wuninitialized -fPIC -I$(ROOTSYS)/include #-I$(HOME)/root_macros

# Options for linking
LDFLAGS = -O `root-config --libs` -lMinuit -lMathCore -lMathMore
#-L$(ROOTSYS)/lib -lNew -lCore -lCint -lHist -lGraf \
#          -lGraf3d -lGpad -lTree -lRint -lPostscript -lMatrix \
#          -lPhysics -lm -ldl -rdynamic

#
# Add your files and executables here

readlumi: LumiToRoot.cpp

LumiToRoot.o: LumiToRoot.h
BdsToRoot: BdsToRoot.o

#
# Cleanup
clean:
	rm -f DEADJOE *~ *.o ${PROGNAME}

